## robocode
Class RobotDeathEvent

    java.lang.Object
      robocode.Event
          robocode.RobotDeathEvent

All Implemented Interfaces:
  Comparable

public class RobotDeathEvent
extends Event

This event is sent to `onRobotDeath` when another robot (not you) dies.

Constructor Summary
`RobotDeathEvent(String robotName)` Called by the game to create a new RobotDeathEvent.

Method Summary
`String` `getName()` Returns the name of the robot that died.
`String` `getRobotName()` Deprecated. use getName

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobotDeathEvent

    public RobotDeathEvent(String robotName)

  Called by the game to create a new RobotDeathEvent.

Method Detail

### getName

    public String getName()

  Returns the name of the robot that died.

  Returns:
    the name of the robot that died.

### getRobotName

    public String getRobotName()

  Deprecated. use getName